Model_Main = {};

Model_Main.PTYPE_BOY  = '1';
Model_Main.PTYPE_GIRL = '2';
Model_Main.FILE_NAME  = curWidget.id + 'smesh_main_page_type';

Model_Main.curPType = null;

Model_Main.pChangeHandler = null;

Model_Main.loadLastPage = function()
{
	var f = fs.openCommonFile(this.FILE_NAME, 'r');
	if (f) {
		
		this.curPType = f.readLine();
		fs.closeCommonFile(f);
	}
			
	if (! this.curPType)
		this.curPType = this.PTYPE_GIRL;
}

Model_Main.saveCurrentPType = function()
{
	var f = fs.openCommonFile(this.FILE_NAME, 'w');
	f.writeLine( this.curPType );
	fs.closeCommonFile(f);
}

Model_Main.setPChangeHandler = function(func) 
{
	this.pChangeHandler = func;
}

Model_Main.changePType = function()
{
	if ( this.curPType == this.PTYPE_BOY )
		this.curPType = this.PTYPE_GIRL;
	else
		this.curPType = this.PTYPE_BOY;
	
	this.saveCurrentPType();
	this.pChangeHandler.call(null, this.curPType);
}