Scene_Main = {}

Scene_Main.PTYPE_BOY  = '1';
Scene_Main.PTYPE_GIRL = '2';
Scene_Main.FILE_NAME  = curWidget.id + 'smesh_main_page_type';

Scene_Main.inited = false;


Scene_Main.onSet = function()
{
	var t;
	if (! Scene_Main.inited) {
		
		Scene_Main.inited = true;
		t = 500;
	}
	else
		t = 0;
	
	AppManager.setLayout('main');
	
	Model_Main.setPChangeHandler(this.onChangePType);
	
	Model_Main.loadLastPage();
	if (Model_Main.curPType == Model_Main.PTYPE_BOY)
		setTimeout('View_Main.showBoyPage()', t);
		
	else
		setTimeout('View_Main.showGirlPage()', t);
	
	View_Main.setButtons();
}

Scene_Main.onUnSet = function()
{
	
}

Scene_Main.onKeyDown = function()
{

	if (event.keyCode == tvKey.KEY_RETURN)
		widgetAPI.blockNavigation(event);
	
	if (View_Main.menuAnimated()) return;

	alert(event.keyCode);
	
	switch (event.keyCode) {
		
		case tvKey.KEY_RED:
			Model_Main.changePType();
			break;
			
		case tvKey.KEY_DOWN:
			if (Model_Main.curPType == Model_Main.PTYPE_BOY)
				$('#main_menu_boy').idcLSelector('next');
			else	
				$('#main_menu_girl').idcLSelector('next');
			
			break;
			
		case tvKey.KEY_UP:
			if (Model_Main.curPType == Model_Main.PTYPE_BOY)
				$('#main_menu_boy').idcLSelector('prev');
			else	
				$('#main_menu_girl').idcLSelector('prev');
			break;
			
		case tvKey.KEY_ENTER:
			Scene_Main.redirect();
			break;
				
			
		case tvKey.KEY_RETURN:
			widgetAPI.sendReturnEvent();
			break;
		
	}
}

//-----------------------

Scene_Main.onChangePType = function(pType)
{
	if (pType == Model_Main.PTYPE_BOY) {
		
		View_Main.hideGirlPage( View_Main.showBoyPage );
		//View_Main.showBoyPage();
	}
	else {
		
		View_Main.hideBoyPage( View_Main.showGirlPage );
		//View_Main.showGirlPage();
	}
}

Scene_Main.redirect = function()
{
	var menu;
	if ( Model_Main.curPType == Model_Main.PTYPE_BOY ) 
		menu = $('#main_menu_boy');
	else
		menu = $('#main_menu_girl');
	
	switch (menu.idcLSelector('curNum')) {
		
		case 0:
			AppManager.setScene(Scene_Video);
			break;
			
		case 1:
			AppManager.setScene(Scene_Lines);
			break;
			
		case 2:
			AppManager.setScene(Scene_Buy);
			break;
	}
}